package common

// upload
const (
	ERROR_OPEN_FILE  = "打开文件错误"
	ErrorImgExt      = "图片格式错误"
	ErrorImgDecode   = "图片解析错误"
	ERROR_ROTATE_IMG = "旋转图片出错"
)

var EnMessages = map[string]string{
	"获取套餐列表失败":       "Failed to get bundle list",
	"创建套餐信息失败":       "Failed to create bundle information",
	"创建套餐信息成功":       "Successfully created bundle information",
	"更新套餐信息失败":       "Failed to update bundle information",
	"更新套餐信息成功":       "Successfully updated bundle information",
	"删除套餐信息失败":       "Failed to delete bundle information",
	"删除套餐信息成功":       "Successfully deleted bundle information",
	"获取套餐信息失败":       "Failed to get bundle information",
	"创建订单信息失败":       "Failed to create order information",
	"创建订单信息成功":       "Successfully created order information",
	"更新订单信息失败":       "Failed to update order information",
	"更新订单信息成功":       "Successfully updated order information",
	"获取订单信息失败":       "Failed to get order information",
	"获取订单列表失败":       "Failed to get order list",
	"缺少套餐UUID":       "Missing bundle UUID",
	"缺少客户签名信息":       "Missing customer signature",
	"插入签名失败":         "Failed to insert signature",
	"缺少订单号":          "Missing order number",
	"缺少订单信息":         "Missing order information",
	"非当前用户订单信息不可操作":  "Cannot operate on order information of other users",
	"订单已支付":          "Order has been paid",
	"您已购买过套餐，无法再次购买": "You have already purchased this bundle and cannot purchase again",
	"查询支付信息失败":       "Failed to query payment information",
	"下载文件失败":         "Failed to download file",
	"上传文件失败":         "Failed to upload file",
	"时间格式错误":         "Invalid time format",

	"账号或密码错误":           "The account or password is incorrect",
	"账号或验证码错误":          "The account or verification code is incorrect",
	"账号已存在":             "Account already exists",
	"没有找到数据":            "No data found",
	"已经发送过，验证码尚可用":      "It was sent. The verification code is still working",
	"系统提示:已经发送过，验证码尚可用": "System message: Already sent, verification code is still available",
	"您的手机号当天发送次数过多，请联系管理员通过密码登录": "Your mobile phone number is sent too many times that day, please contact the administrator to log in through the password",
	"您的手机号验证码错误，请确认之后注册":         "Your phone number verification code is incorrect, please confirm and register",
	"手机号不合法":          "The phone number is illegal",
	"手机号未更改":          "The phone number has not been changed",
	"新手机号过期":          "New phone number expired",
	"验证码错误":           "Verification code error",
	"验证码未发送":          "The verification code was not sent",
	"账号不存在":           "Account does not exist",
	"已实名":             "In real name",
	"实名审核中,请勿重复提交":    "During real-name audit, please do not submit repeatedly",
	"用户状态异常，无法进行审核":   "The user is abnormal and cannot be audited. Procedure",
	"验证码已失效":          "The verification code is invalid",
	"服务器错误":           "Server error",
	"验证失败，请控制拼图对齐缺口":  "Verification failed, please control puzzle alignment gap",
	"滑块验证状态不存在,请退出重试": "The slider verification status does not exist. Please exit and try again",
}

var DeDEMessages = map[string]string{
	"获取套餐列表失败":       "Fehler beim Abrufen der Bundle-Liste",
	"创建套餐信息失败":       "Fehler beim Erstellen von Bundle-Informationen",
	"创建套餐信息成功":       "Bundle-Informationen erfolgreich erstellt",
	"更新套餐信息失败":       "Fehler beim Aktualisieren von Bundle-Informationen",
	"更新套餐信息成功":       "Bundle-Informationen erfolgreich aktualisiert",
	"删除套餐信息失败":       "Fehler beim Löschen von Bundle-Informationen",
	"删除套餐信息成功":       "Bundle-Informationen erfolgreich gelöscht",
	"获取套餐信息失败":       "Fehler beim Abrufen von Bundle-Informationen",
	"创建订单信息失败":       "Fehler beim Erstellen von Bestellinformationen",
	"创建订单信息成功":       "Bestellinformationen erfolgreich erstellt",
	"更新订单信息失败":       "Fehler beim Aktualisieren von Bestellinformationen",
	"更新订单信息成功":       "Bestellinformationen erfolgreich aktualisiert",
	"获取订单信息失败":       "Fehler beim Abrufen von Bestellinformationen",
	"获取订单列表失败":       "Fehler beim Abrufen der Bestellliste",
	"缺少套餐UUID":       "Fehlende Bundle-UUID",
	"缺少客户签名信息":       "Fehlende Kundenunterschrift",
	"插入签名失败":         "Fehler beim Einfügen der Signatur",
	"缺少订单号":          "Fehlende Bestellnummer",
	"缺少订单信息":         "Fehlende Bestellinformationen",
	"非当前用户订单信息不可操作":  "Bestellinformationen anderer Benutzer können nicht bearbeitet werden",
	"订单已支付":          "Bestellung wurde bezahlt",
	"您已购买过套餐，无法再次购买": "Sie haben dieses Bundle bereits gekauft und können es nicht erneut kaufen",
	"查询支付信息失败":       "Fehler beim Abfragen von Zahlungsinformationen",
	"下载文件失败":         "Fehler beim Herunterladen der Datei",
	"上传文件失败":         "Fehler beim Hochladen der Datei",
	"时间格式错误":         "Ungültiges Zeitformat",

	"账号或密码错误":           "Konto oder Passwort falsch",
	"账号或验证码错误":          "Konto oder Verifizierungscode falsch",
	"账号已存在":             "Konto existiert bereits",
	"没有找到数据":            "Keine Daten gefunden",
	"已经发送过，验证码尚可用":      "Es wurde gesendet. Der Verifizierungscode funktioniert noch",
	"系统提示:已经发送过，验证码尚可用": "Systemnachricht: Bereits gesendet, Verifizierungscode ist noch verfügbar",
	"您的手机号当天发送次数过多，请联系管理员通过密码登录": "Ihre Telefonnummer wurde an diesem Tag zu oft gesendet. Bitte wenden Sie sich an den Administrator, um sich über das Passwort anzumelden",
	"您的手机号验证码错误，请确认之后注册":         "Ihre Telefonnummer Verifizierungscode ist falsch, bitte bestätigen und registrieren",
	"手机号不合法":          "Telefonnummer ungültig",
	"手机号未更改":          "Telefonnummer wurde nicht geändert",
	"新手机号过期":          "Neue Telefonnummer abgelaufen",
	"验证码错误":           "Verifizierungscode falsch",
	"验证码未发送":          "Der Verifizierungscode wurde nicht gesendet",
	"账号不存在":           "Konto existiert nicht",
	"已实名":             "In echt",
	"实名审核中,请勿重复提交":    "Während der Echtheitsprüfung bitte nicht wiederholen",
	"用户状态异常，无法进行审核":   "Der Benutzer ist abnorm und kann nicht geprüft werden. Verfahren",
	"验证码已失效":          "Der Verifizierungscode ist ungültig",
	"服务器错误":           "Serverfehler",
	"验证失败，请控制拼图对齐缺口":  "Überprüfung fehlgeschlagen, bitte Steuerung Puzzle-Ausrichtungslücke",
	"滑块验证状态不存在,请退出重试": "Die krümmbestätigung existiert nicht. Bitte beenden sie den vorgang",
}

var JaJPMessages = map[string]string{
	"获取套餐列表失败":       "バンドルリストの取得に失敗しました",
	"创建套餐信息失败":       "バンドル情報の作成に失敗しました",
	"创建套餐信息成功":       "バンドル情報の作成に成功しました",
	"更新套餐信息失败":       "バンドル情報の更新に失敗しました",
	"更新套餐信息成功":       "バンドル情報の更新に成功しました",
	"删除套餐信息失败":       "バンドル情報の削除に失敗しました",
	"删除套餐信息成功":       "バンドル情報の削除に成功しました",
	"获取套餐信息失败":       "バンドル情報の取得に失敗しました",
	"创建订单信息失败":       "注文情報の作成に失敗しました",
	"创建订单信息成功":       "注文情報の作成に成功しました",
	"更新订单信息失败":       "注文情報の更新に失敗しました",
	"更新订单信息成功":       "注文情報の更新に成功しました",
	"获取订单信息失败":       "注文情報の取得に失敗しました",
	"获取订单列表失败":       "注文リストの取得に失敗しました",
	"缺少套餐UUID":       "バンドルUUIDがありません",
	"缺少客户签名信息":       "顧客署名情報がありません",
	"插入签名失败":         "署名の挿入に失敗しました",
	"缺少订单号":          "注文番号がありません",
	"缺少订单信息":         "注文情報がありません",
	"非当前用户订单信息不可操作":  "他のユーザーの注文情報を操作できません",
	"订单已支付":          "注文は支払われました",
	"您已购买过套餐，无法再次购买": "このバンドルはすでに購入済みであり、再度購入することはできません",
	"查询支付信息失败":       "支払い情報のクエリに失敗しました",
	"下载文件失败":         "ファイルのダウンロードに失敗しました",
	"上传文件失败":         "ファイルのアップロードに失敗しました",
	"时间格式错误":         "無効な時間形式",

	"账号或密码错误":           "アカウントまたはパスワードが間違っています",
	"账号或验证码错误":          "アカウントまたは検証コードが間違っています",
	"账号已存在":             "アカウントはすでに存在します",
	"没有找到数据":            "データが見つかりません",
	"已经发送过，验证码尚可用":      "送信されました。検証コードは引き続き有効です",
	"系统提示:已经发送过，验证码尚可用": "システムメッセージ：すでに送信され、検証コードは引き続き有効です",
	"您的手机号当天发送次数过多，请联系管理员通过密码登录": "その日の電話番号が送信されすぎています。管理者に連絡してパスワードでログインしてください",
	"您的手机号验证码错误，请确认之后注册":         "電話番号の検証コードが間違っています。確認して登録してください",
	"手机号不合法":          "電話番号が無効です",
	"手机号未更改":          "電話番号が変更されていません",
	"新手机号过期":          "新しい電話番号の有効期限が切れました",
	"验证码错误":           "検証コードが間違っています",
	"验证码未发送":          "検証コードが送信されていません",
	"账号不存在":           "アカウントが存在しません",
	"已实名":             "実名",
	"实名审核中,请勿重复提交":    "実名審査中、繰り返し提出しないでください",
	"用户状态异常，无法进行审核":   "ユーザーが異常であり、審査できません。手続き",
	"验证码已失效":          "検証コードが無効です",
	"服务器错误":           "サーバーエラー",
	"验证失败，请控制拼图对齐缺口":  "検証に失敗しました。パズルの整列ギャップを制御してください",
	"滑块验证状态不存在,请退出重试": "スライダー検証状態が存在しません,リトライをログアウトしてください",
}

var ZhTWMessages = map[string]string{
	"获取套餐列表失败":       "獲取套餐列表失敗",
	"创建套餐信息失败":       "創建套餐信息失敗",
	"创建套餐信息成功":       "創建套餐信息成功",
	"更新套餐信息失败":       "更新套餐信息失敗",
	"更新套餐信息成功":       "更新套餐信息成功",
	"删除套餐信息失败":       "刪除套餐信息失敗",
	"删除套餐信息成功":       "刪除套餐信息成功",
	"获取套餐信息失败":       "獲取套餐信息失敗",
	"创建订单信息失败":       "創建訂單信息失敗",
	"创建订单信息成功":       "創建訂單信息成功",
	"更新订单信息失败":       "更新訂單信息失敗",
	"更新订单信息成功":       "更新訂單信息成功",
	"获取订单信息失败":       "獲取訂單信息失敗",
	"获取订单列表失败":       "獲取訂單列表失敗",
	"缺少套餐UUID":       "缺少套餐UUID",
	"缺少客户签名信息":       "缺少客戶簽名信息",
	"插入签名失败":         "插入簽名失敗",
	"缺少订单号":          "缺少訂單號",
	"缺少订单信息":         "缺少訂單信息",
	"非当前用户订单信息不可操作":  "非當前用戶訂單信息不可操作",
	"订单已支付":          "訂單已支付",
	"您已购买过套餐，无法再次购买": "您已購買過套餐，無法再次購買",
	"查询支付信息失败":       "查詢支付信息失敗",
	"下载文件失败":         "下載文件失敗",
	"上传文件失败":         "上傳文件失敗",
	"时间格式错误":         "時間格式錯誤",

	"账号或密码错误":           "帳號或密碼錯誤",
	"账号或验证码错误":          "帳號或驗證碼錯誤",
	"账号已存在":             "帳號已存在",
	"没有找到数据":            "沒有找到數據",
	"已经发送过，验证码尚可用":      "已經發送過，驗證碼尚可用",
	"系统提示:已经发送过，验证码尚可用": "系統提示:已經發送過，驗證碼尚可用",
	"您的手机号当天发送次数过多，请联系管理员通过密码登录": "您的手機號當天發送次數過多，請聯繫管理員通過密碼登錄",
	"您的手机号验证码错误，请确认之后注册":         "您的手機號驗證碼錯誤，請確認之後註冊",
	"手机号不合法":          "手機號不合法",
	"手机号未更改":          "手機號未更改",
	"新手机号过期":          "新手機號過期",
	"验证码错误":           "驗證碼錯誤",
	"验证码未发送":          "驗證碼未發送",
	"账号不存在":           "帳號不存在",
	"已实名":             "已實名",
	"实名审核中,请勿重复提交":    "實名審核中,請勿重複提交",
	"用户状态异常，无法进行审核":   "用戶狀態異常，無法進行審核",
	"验证码已失效":          "驗證碼已失效",
	"服务器错误":           "服務器錯誤",
	"验证失败，请控制拼图对齐缺口":  "驗證失敗，請控制拼圖對齊缺口",
	"滑块验证状态不存在,请退出重试": "滑塊驗證狀態不存在,請退出重試",
}
